<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Tourable Pro
 * @since Tourable Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'tourable_pro_menu', array(
	'title'             => esc_html__('Header Menu','tourable-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'tourable-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'tourable_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'tourable_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Tourable_Pro_Switch_Control( $wp_customize, 'tourable_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'tourable-pro' ),
	'section'           => 'tourable_pro_menu',
	'on_off_label' 		=> tourable_pro_switch_options(),
) ) );

// search enable setting and control.
$wp_customize->add_setting( 'tourable_pro_theme_options[nav_author_enable]', array(
	'sanitize_callback' => 'tourable_pro_sanitize_switch_control',
	'default'           => $options['nav_author_enable'],
) );

$wp_customize->add_control( new Tourable_Pro_Switch_Control( $wp_customize, 'tourable_pro_theme_options[nav_author_enable]', array(
	'label'             => esc_html__( 'Enable Author Links', 'tourable-pro' ),
	'section'           => 'tourable_pro_menu',
	'on_off_label' 		=> tourable_pro_switch_options(),
) ) );

$wp_customize->add_setting( 'tourable_pro_theme_options[nav_search_enable]', array(
	'sanitize_callback' => 'tourable_pro_sanitize_switch_control',
	'default'           => $options['nav_search_enable'],
) );

$wp_customize->add_control( new Tourable_Pro_Switch_Control( $wp_customize, 'tourable_pro_theme_options[nav_search_enable]', array(
	'label'             => esc_html__( 'Enable Search Form', 'tourable-pro' ),
	'section'           => 'tourable_pro_menu',
	'on_off_label' 		=> tourable_pro_switch_options(),
) ) );

